## org.eclipse.emf.cdo.edit
Class CDOItemProviderAdapter.CDOPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemPropertyDescriptor

Direct Known Subclasses:
  CDOItemProviderAdapter.AdaptersDescriptor, CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor, CDOItemProviderAdapter.ContainerDescriptor, CDOItemProviderAdapter.DirectResourceDescriptor, CDOItemProviderAdapter.IDDescriptor, CDOItemProviderAdapter.ReadLockedDescriptor, CDOItemProviderAdapter.StateDescriptor, CDOItemProviderAdapter.URIDescriptor, CDOItemProviderAdapter.VersionDescriptor, CDOItemProviderAdapter.ViewDescriptor, CDOItemProviderAdapter.WriteLockedDescriptor

Enclosing class:
  CDOItemProviderAdapter

    public abstract static class CDOItemProviderAdapter.CDOPropertyDescriptor

extends java.lang.Object
implements org.eclipse.emf.edit.provider.IItemPropertyDescriptor

Base abstract to add CDO debug information to PropertiesView. Users wanting to add new information to the Properties View can subclass this class instead of directly implementing `IItemPropertyDescriptor`.

Since:
  2.0

Nested Class Summary
`static class` `CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider`

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`org.eclipse.emf.edit.provider.IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary
`static java.lang.String` `CDO_CATEGORY` PropertiesView category for CDO
`static java.lang.String[]` `FILTER_ID_EXPERT` The filter id for expert properties

Constructor Summary
`CDOItemProviderAdapter.CDOPropertyDescriptor()`

Method Summary
`boolean` `canSetProperty(java.lang.Object object)`
`java.lang.String` `getCategory(java.lang.Object object)`
`java.util.Collection<?>` `getChoiceOfValues(java.lang.Object object)`
`java.lang.String[]` `getFilterFlags(java.lang.Object object)`
`java.lang.Object` `getHelpContextIds(java.lang.Object object)`
`org.eclipse.emf.edit.provider.IItemLabelProvider` `getLabelProvider(java.lang.Object object)`
`boolean` `isCompatibleWith(java.lang.Object object, java.lang.Object anotherObject, org.eclipse.emf.edit.provider.IItemPropertyDescriptor anotherPropertyDescriptor)`
`boolean` `isMany(java.lang.Object object)`
`boolean` `isMultiLine(java.lang.Object object)`
`boolean` `isPropertySet(java.lang.Object object)`
`boolean` `isSortChoices(java.lang.Object object)`
`void` `resetPropertyValue(java.lang.Object object)`
`void` `setPropertyValue(java.lang.Object object, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`getDescription, getDisplayName, getFeature, getId, getPropertyValue`

Field Detail

### FILTER_ID_EXPERT

    public static final java.lang.String[] FILTER_ID_EXPERT

  The filter id for expert properties

### CDO_CATEGORY

    public static final java.lang.String CDO_CATEGORY

  PropertiesView category for CDO

Constructor Detail

### CDOItemProviderAdapter.CDOPropertyDescriptor

    public CDOItemProviderAdapter.CDOPropertyDescriptor()

Method Detail

### canSetProperty

    public boolean canSetProperty(java.lang.Object object)

  Specified by:
    `canSetProperty` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### setPropertyValue

    public void setPropertyValue(java.lang.Object object,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object object)

  Specified by:
    `resetPropertyValue` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### isPropertySet

    public boolean isPropertySet(java.lang.Object object)

  Specified by:
    `isPropertySet` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getCategory

    public java.lang.String getCategory(java.lang.Object object)

  Specified by:
    `getCategory` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getChoiceOfValues

    public java.util.Collection<?> getChoiceOfValues(java.lang.Object object)

  Specified by:
    `getChoiceOfValues` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getHelpContextIds

    public java.lang.Object getHelpContextIds(java.lang.Object object)

  Specified by:
    `getHelpContextIds` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### isCompatibleWith

    public boolean isCompatibleWith(java.lang.Object object,
                                    java.lang.Object anotherObject,
                                    org.eclipse.emf.edit.provider.IItemPropertyDescriptor anotherPropertyDescriptor)

  Specified by:
    `isCompatibleWith` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### isMany

    public boolean isMany(java.lang.Object object)

  Specified by:
    `isMany` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### isMultiLine

    public boolean isMultiLine(java.lang.Object object)

  Specified by:
    `isMultiLine` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### isSortChoices

    public boolean isSortChoices(java.lang.Object object)

  Specified by:
    `isSortChoices` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getFilterFlags

    public java.lang.String[] getFilterFlags(java.lang.Object object)

  Specified by:
    `getFilterFlags` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getLabelProvider

    public org.eclipse.emf.edit.provider.IItemLabelProvider getLabelProvider(java.lang.Object object)

  Specified by:
    `getLabelProvider` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.